export declare class PromiseQueue {
    queue: any[];
    private workingOnPromise;
    static pendingPromise: boolean;
    stop: boolean;
    limit: any;
    enqueue(promise: () => Promise<unknown>): Promise<unknown>;
    dequeue(): boolean;
}
